Bug 51832 - Removing lesstif leaves several orphaned directories behind
Summary: Removing lesstif leaves several orphaned directories behind
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: lesstif   
(Show other bugs)
Version: roswell
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-15 17:08 UTC by Joachim Frieben
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-21 12:58:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Frieben 2001-08-15 17:08:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Removing lesstif-0.92.32-4 leaves some directories behind instead of 
deleting them.

Version-Release number of selected component (if applicable):
0.92.32-4

How reproducible:
Always

Steps to Reproduce:
1. rpm -e lesstif-devel lesstif

Actual Results:  [root@localhost RPMS]$ rpm -e lesstif-devel lesstif ddd
warning:    erase rmdir of /usr/X11R6/LessTif/Motif2.1/lib failed: 
Directory not empty
warning:    erase rmdir of /usr/X11R6/LessTif/Motif2.1/bin failed: 
Directory not empty
warning:    erase rmdir of /usr/X11R6/LessTif/Motif1.2/lib failed: 
Directory not empty


Expected Results:  clean uninstall

Additional info:

none

Comment 1 Ngo Than 2001-08-17 10:01:52 UTC
Jeff,
rpm -e lesstif-devel
rpm -e lesstif
works. I think it should be a bug in rpm?


Comment 2 Jeff Johnson 2001-08-21 12:58:13 UTC
Try rpm-4.0.3, which actually reverses the order of
packages with --erase.

Comment 3 Jeff Johnson 2001-08-21 13:46:11 UTC
These 2 packages uninstall correctly with rpm-4.0.3.


Note You need to log in before you can comment on or make changes to this bug.